<?php
/**
 * Hero Section options
 *
 * @package Theme Palace
 * @subpackage Magpaper Pro
 * @since Magpaper Pro 1.0.0
 */

// Add Hero section
$wp_customize->add_section( 'magpaper_pro_hero_section', array(
	'title'             => esc_html__( 'Hero','magpaper-pro' ),
	'description'       => esc_html__( 'Hero Section options.', 'magpaper-pro' ),
	'panel'             => 'magpaper_pro_front_page_panel',
) );

// Hero content enable control and setting
$wp_customize->add_setting( 'magpaper_pro_theme_options[hero_section_enable]', array(
	'default'			=> 	$options['hero_section_enable'],
	'sanitize_callback' => 'magpaper_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Magpaper_Pro_Switch_Control( $wp_customize, 'magpaper_pro_theme_options[hero_section_enable]', array(
	'label'             => esc_html__( 'Hero Section Enable', 'magpaper-pro' ),
	'section'           => 'magpaper_pro_hero_section',
	'on_off_label' 		=> magpaper_pro_switch_options(),
) ) );

// Hero content type control and setting
$wp_customize->add_setting( 'magpaper_pro_theme_options[hero_content_type]', array(
	'default'          	=> $options['hero_content_type'],
	'sanitize_callback' => 'magpaper_pro_sanitize_select',
) );

$wp_customize->add_control( 'magpaper_pro_theme_options[hero_content_type]', array(
	'label'             => esc_html__( 'Content Type', 'magpaper-pro' ),
	'section'           => 'magpaper_pro_hero_section',
	'type'				=> 'select',
	'active_callback' 	=> 'magpaper_pro_is_hero_section_enable',
	'choices'			=> array( 
		'page' 		=> esc_html__( 'Page', 'magpaper-pro' ),
		'post' 		=> esc_html__( 'Post', 'magpaper-pro' ),
	),
) );

// featured pages drop down chooser control and setting
$wp_customize->add_setting( 'magpaper_pro_theme_options[hero_content_page]', array(
	'sanitize_callback' => 'magpaper_pro_sanitize_page',
) );

$wp_customize->add_control( new Magpaper_Pro_Dropdown_Chooser( $wp_customize, 'magpaper_pro_theme_options[hero_content_page]', array(
	'label'             => esc_html__( 'Select Page', 'magpaper-pro' ),
	'section'           => 'magpaper_pro_hero_section',
	'choices'			=> magpaper_pro_page_choices(),
	'active_callback'	=> 'magpaper_pro_is_hero_section_content_page_enable',
) ) );

// featured posts drop down chooser control and setting
$wp_customize->add_setting( 'magpaper_pro_theme_options[hero_content_post]', array(
	'sanitize_callback' => 'magpaper_pro_sanitize_page',
) );

$wp_customize->add_control( new Magpaper_Pro_Dropdown_Chooser( $wp_customize, 'magpaper_pro_theme_options[hero_content_post]', array(
	'label'             => esc_html__( 'Select Post', 'magpaper-pro' ),
	'section'           => 'magpaper_pro_hero_section',
	'choices'			=> magpaper_pro_post_choices(),
	'active_callback'	=> 'magpaper_pro_is_hero_section_content_post_enable',
) ) );